This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 196350 - gnome-keybinding-properties doesn't work with Thinkpad back/forward buttons
gnome-keybinding-properties doesn't work with Thinkpad back/forward buttons
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
bzcl34nup
: Desktop
Depends On:
Blocks: 196349
  Show dependency treegraph
 
Reported: 2006-06-22 13:54 EDT by Zack Cerza
Modified: 2009-01-08 23:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:34:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2006-06-22 13:54:22 EDT
Description of problem:
I'm trying to get my Thinkpad's back/forward buttons to switch workspaces. I can
set "Switch to workspace on the {left,right}" - they get set to 0xea and 0xe9
respectively, but when I try to use those keys, nothing actually happens.

Version-Release number of selected component (if applicable):
control-center-2.14.2-1

How reproducible:
Always

Additional info:
xev says the back key is keycode 234, and the forward keycode is 233.
Comment 1 Zack Cerza 2006-06-22 14:00:32 EDT
Also, Fn+F3 is supposed to lock my screen. It doesn't. :(
Comment 2 Bastien Nocera 2007-02-15 06:34:08 EST
Metacity doesn't know how to handle keys without keysyms. Would need fixing
upstream...
Comment 3 Tim Niemueller 2007-05-28 18:21:42 EDT
I have put this into /etc/X11/Xmodmap:

keycode 234 = XF86Back
keycode 233 = XF86Forward
keycode 162 = XF86AudioPlay
keycode 164 = XF86AudioStop
keycode 153 = XF86AudioNext
keycode 144 = XF86AudioPrev
keycode 227 = XF86LaunchF
keycode 249 = XF86ZoomIn

Additionally to the back and forth buttons this also assigns keysyms to some
Fn-key combinations (Fn+arrow keys, holding Fn key, Fn+Space). This is the
keymap I use on my Thinkpad T60.
Comment 4 Bug Zapper 2008-04-03 13:30:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Tim Niemueller 2008-04-04 04:47:59 EDT
I still need the mentioned workaround on F-8.
Comment 6 Zack Cerza 2008-04-04 10:54:36 EDT
In rawhide, the keys are XF86Back and XF86Forward. They can be mapped normally.
In addition, Firefox 3 by default uses them for back/forward. This requires no
mapping.

Based on comment #5 I am moving this to F8.
Comment 7 Bug Zapper 2008-11-26 01:59:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-08 23:34:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.